%define upstream_name    PPI-XS
%define upstream_version 0.902

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    (Minor) XS acceleration for PPI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(PPI) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0

%{?perl_default_filter}
BuildRequires: perl-devel
%description
PPI::XS provides XS-based acceleration of the core PPI packages. It
selectively replaces a (small but growing) number of methods throughout PPI
with identical but much faster C versions.

Once installed, it will be auto-detected and loaded in by PPI completely
transparently.

Because the C implementations are linked to the perl versions of the same
function, it is preferable to upgrade PPI::XS any time you do a major
upgrade of PPI itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.902.0-12.mga6
+ Revision: 1032688
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.902.0-11.mga6
+ Revision: 957889
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.902.0-10.mga6
+ Revision: 845153
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.902.0-9.mga6
+ Revision: 841785
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.902.0-8.mga5
+ Revision: 790007
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.902.0-7.mga5
+ Revision: 740666
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.902.0-6.mga5
+ Revision: 733328
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.902.0-5.mga5
+ Revision: 685844
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.902.0-4.mga5
+ Revision: 632311
- perl 5.20.0 rebuild

  + pterjan <pterjan>
    - Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.902.0-2.mga4
+ Revision: 527715
- Mageia 4 Mass Rebuild

* Tue Jun 11 2013 jquelin <jquelin> 0.902.0-1.mga4
+ Revision: 441911
- update to 0.902

* Wed May 29 2013 jquelin <jquelin> 0.901.0-11.mga4
+ Revision: 432287
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.901.0-10.mga4
+ Revision: 432150
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.901.0-9.mga3
+ Revision: 371333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 0.901.0-8.mga3
+ Revision: 269468
- fix defined warnings (rt#76561)

* Wed May 30 2012 jquelin <jquelin> 0.901.0-7.mga3
+ Revision: 251081
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.901.0-6.mga2
+ Revision: 104922
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.901.0-5.mga1
+ Revision: 34107
- mageia rebuild
- imported package perl-PPI-XS

